Home

Generate and install participation keys to the node.

POST
https://algo.nownodes.io/v2/participation/generate/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

addressstringrequiredpath

An account public key

dilutionintegerquery

Key dilution for two-level participation keys (defaults to sqrt of validity window).

firstintegerrequiredquery

First round for participation key.

lastintegerrequiredquery

Last round for participation key.

Response

200OK

An empty JSON object is returned if the generation process was started. Currently no status is available.

400Bad Request

Bad Request

401Unauthorized

Invalid API Token

500Internal Server Error

Internal Error

503Service Unavailable

Service Temporarily Unavailable

default

Unknown Error